<html>
<head>
<title>Ogre::TerrainGroup::LoadRequest Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1TerrainGroup.html">TerrainGroup</a>      </li>
      <li class="navelem"><a class="el" href="structOgre_1_1TerrainGroup_1_1LoadRequest.html">LoadRequest</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="#friends">Friends</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::TerrainGroup::LoadRequest Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::TerrainGroup::LoadRequest" -->
<p>Structure for holding the load request.  
 <a href="structOgre_1_1TerrainGroup_1_1LoadRequest.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreTerrainGroup_8h_source.html">OgreTerrainGroup.h</a>&gt;</code></p>

<p><a href="structOgre_1_1TerrainGroup_1_1LoadRequest-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structOgre_1_1TerrainGroup_1_1TerrainSlot.html">TerrainSlot</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1TerrainGroup_1_1LoadRequest.html#a12027bd85dcaf57b34074d1dbb70b577">slot</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1TerrainGroup.html">TerrainGroup</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1TerrainGroup_1_1LoadRequest.html#a0932f9af61a0f6f4786ee62562e27f02">origin</a></td></tr>
<tr><td colspan="2"><h2><a name="friends"></a>
Friends</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="OgreTerrainPrerequisites_8h.html#a2fbe49b54cb4b3c3e2757cd3ac167068">_OgreTerrainExport</a> friend <br class="typebreak"/>
std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1TerrainGroup_1_1LoadRequest.html#a8b3e2b9bd95cf7dd4c5a8a2e32f1f571">operator&lt;&lt;</a> (std::ostream &amp;o, const <a class="el" href="structOgre_1_1TerrainGroup_1_1LoadRequest.html">LoadRequest</a> &amp;r)</td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Structure for holding the load request. </p>

<p>Definition at line <a class="el" href="OgreTerrainGroup_8h_source.html#l00527">527</a> of file <a class="el" href="OgreTerrainGroup_8h_source.html">OgreTerrainGroup.h</a>.</p>
</div><hr/><h2>Friends And Related Function Documentation</h2>
<a class="anchor" id="a8b3e2b9bd95cf7dd4c5a8a2e32f1f571"></a><!-- doxytag: member="Ogre::TerrainGroup::LoadRequest::operator&lt;&lt;" ref="a8b3e2b9bd95cf7dd4c5a8a2e32f1f571" args="(std::ostream &amp;o, const LoadRequest &amp;r)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="OgreTerrainPrerequisites_8h.html#a2fbe49b54cb4b3c3e2757cd3ac167068">_OgreTerrainExport</a> friend std::ostream&amp; operator&lt;&lt; </td>
          <td>(</td>
          <td class="paramtype">std::ostream &amp;&#160;</td>
          <td class="paramname"><em>o</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="structOgre_1_1TerrainGroup_1_1LoadRequest.html">LoadRequest</a> &amp;&#160;</td>
          <td class="paramname"><em>r</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [friend]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreTerrainGroup_8h_source.html#l00531">531</a> of file <a class="el" href="OgreTerrainGroup_8h_source.html">OgreTerrainGroup.h</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a0932f9af61a0f6f4786ee62562e27f02"></a><!-- doxytag: member="Ogre::TerrainGroup::LoadRequest::origin" ref="a0932f9af61a0f6f4786ee62562e27f02" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1TerrainGroup.html">TerrainGroup</a>* <a class="el" href="structOgre_1_1TerrainGroup_1_1LoadRequest.html#a0932f9af61a0f6f4786ee62562e27f02">Ogre::TerrainGroup::LoadRequest::origin</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreTerrainGroup_8h_source.html#l00530">530</a> of file <a class="el" href="OgreTerrainGroup_8h_source.html">OgreTerrainGroup.h</a>.</p>

</div>
</div>
<a class="anchor" id="a12027bd85dcaf57b34074d1dbb70b577"></a><!-- doxytag: member="Ogre::TerrainGroup::LoadRequest::slot" ref="a12027bd85dcaf57b34074d1dbb70b577" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1TerrainGroup_1_1TerrainSlot.html">TerrainSlot</a>* <a class="el" href="structOgre_1_1TerrainGroup_1_1LoadRequest.html#a12027bd85dcaf57b34074d1dbb70b577">Ogre::TerrainGroup::LoadRequest::slot</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreTerrainGroup_8h_source.html#l00529">529</a> of file <a class="el" href="OgreTerrainGroup_8h_source.html">OgreTerrainGroup.h</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreTerrainGroup_8h_source.html">OgreTerrainGroup.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:11
</p>
</body>
</html>
